/*GENERALES*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Quicksand:wght@300..700&display=swap');

@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");


* {
  font-family: "Quicksand", sans-serif;
}

a {
    text-decoration: none;
}

body {
    overflow-x: hidden;
}



/*NAVBAR*/

.fondo-navbar {
    background-color: rgba(0, 0, 0, 0.1) !important; 
    backdrop-filter: blur(5px); 
    border: none;
    padding-top: 1%;
    padding-bottom: 1%;
}

.barras .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2835, 34, 73, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
    width: 3em; 
    height: 3em;
}

.barras { 
    border: none !important; 
    background-color: transparent !important; 
    padding-left: 2%; 
    box-shadow: none !important;
    outline: none !important;
}

.logo {
    width: 160px;
    max-width: 180px;
    padding-right: 2%;
}

.offcanvas {
    background-color: rgba(255, 255, 255, 0.7) !important; 
    backdrop-filter: blur(10px); 
    width: 40% !important;
    height: 100vh;
    top: 0;
    left: 0;
    transition: transform 0.5s ease-in-out;
}

.offcanvas-header {
    display: flex;          
    justify-content: flex-start; 
    align-items: center;      
    padding: 3% 3%;       
    border-bottom: none;      
}

.offcanvas-body {         
    flex-direction: column;    
    justify-content: flex-end !important; 
    align-items: flex-end !important;    
    padding-bottom: 10%;
    padding-right: 12%;
}

.custom-nav-link.active {
    text-align: right !important; 
    width: 100% !important;
}

.custom-nav-link {
    color: #E41D20 !important; 
    font-size: 3.5rem; 
    padding: 1rem 0; 
    transition: color 0.3s ease; 
}

.custom-nav-link:hover,
.custom-nav-link.active {
    color: #232249 !important; 
}

.offcanvas-header .btn-close {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23E41D20'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") !important;
    font-size: 2.3rem;
    padding-left: 7%;
    margin: 0;
}

/*DROPDOWN*/

.offcanvas .dropdown-toggle::after {
    display: none !important;
}

.custom-submenu {
    list-style: none !important;
    border: none !important;
    box-shadow: none !important;
    text-align: right;
}

.submenu li{ 
    list-style: none !important;
    text-align: right !important;
    background-color: rgba(255, 255, 255, 0.7) !important; 
    backdrop-filter: blur(10px) !important;
}

.submenu a {
    color: #E41D20 !important;
    font-size: 2.3rem;
    padding: 10px 0 !important;
    text-decoration: none;
    text-align: right !important;
    display: block !important;
}

#offcanvasNavbar .custom-submenu .submenu a:hover,
#offcanvasNavbar .custom-submenu .submenu a.active {
    background-color: transparent !important; 
    color: #232249 !important;          
}



/*SECCIÓN 1 RETRATO*/

.retrato {
    padding-top: 11%;
    padding-bottom: 15%;
}

.foto-retrato {
    display: flex; 
    justify-content: center; 
    align-items: center; 
}

.retrato img {
    max-width: 78%;
}

.texto-retrato {
    display: flex; 
    flex-direction: column;
    justify-content: center; 
}

.titulo-retrato {
    font-size: 145px;
    color: #E41D20;
    padding-left: 4%;
    margin-bottom: 8%;
}

.descripcion-retrato {
    padding-left: 5%;
    padding-right: 11%;
    margin-bottom: 8%;
}

.descripcion-retrato p {
    font-size: 22px; 
    color: #232249; 
    line-height: 1.8; 
    text-align: left; 
}

.btn-retrato {
    background-color: #f38182; 
    color: white; 
    border: none;
    padding: 2% 6%;
    border-radius: 5px; 
    font-size: 22px;
    transition: background-color 0.3s ease; 
    margin-top: 2%;
    margin-right: 11%;
    align-self: flex-end; 
    font-weight: bold;
}

.btn-retrato:hover {
    background-color: #E41D20; 
}



/*SECCIÓN 2 PRODUCTO*/

.producto {
    padding-bottom: 13%;
}

.foto-producto {
    display: flex; 
    justify-content: center; 
    align-items: center; 
}

.producto img {
    max-width: 78%;
}

.texto-producto {
    display: flex; 
    flex-direction: column;
    justify-content: center; 
}

.titulo-producto {
    font-size: 145px;
    color: #232249;
    margin-left: 9%;
    margin-bottom: 8%;
}

.descripcion-producto {
    margin-left: 9%;
    padding-right: 4%;
    margin-bottom: 8%; 
}

.descripcion-producto p {
    font-size: 22px; 
    color: #232249; 
    line-height: 1.8; 
    text-align: left; 
}

.btn-producto {
    background-color: #9796c1; 
    color: white; 
    border: none;
    padding: 2% 6%;
    border-radius: 5px; 
    font-size: 22px;
    transition: background-color 0.3s ease; 
    margin-top: 1%; 
    margin-left: 9%;
    align-self: flex-start; 
    font-weight: bold;
}

.btn-producto:hover {
    background-color: #232249; 
}



/*SECCIÓN 3 NATURALEZA*/

.foto-naturaleza {
    display: flex; 
    justify-content: center; 
    align-items: center; 
}

.naturaleza img {
    max-width: 78%;
}

.texto-naturaleza {
    display: flex; 
    flex-direction: column;
    justify-content: center; 
}

.titulo-naturaleza {
    font-size: 145px;
    color: #F4E729;
    padding-left: 4%;
    margin-bottom: 8%;
}

.descripcion-naturaleza {
    padding-left: 5%;
    padding-right: 11%;
    margin-bottom: 8%;
}

.descripcion-naturaleza p {
    font-size: 22px; 
    color: #232249; 
    line-height: 1.8; 
    text-align: left; 
}

.btn-naturaleza {
    background-color: #f9f394; 
    color: #232249; 
    border: none;
    padding: 2% 6%;
    border-radius: 5px; 
    font-size: 22px;
    transition: background-color 0.3s ease; 
    margin-top: 2%; 
    margin-right: 11%;
    align-self: flex-end; 
    font-weight: bold;
}

.btn-naturaleza:hover {
    background-color: #F4E729; 
    color: #232249;
}



/*FOOTER*/

footer {
    width: 100%; 
    padding-top: 6%;
}

.footer-franja-amarilla {
    width: 100%;
    height: 20px; 
    background-color: #F4E729; 
}

.footer-franja-roja {
    width: 100%;
    height: 20px; 
    background-color: #E41D20;
}

.footer-contenido {
    width: 100%;
    background-color: #232249; 
    padding: 2% 0;
    color: white; 
}

.footer-copyright {
    margin-bottom: 0; 
    font-size: 23px; 
    padding-left: 5%;
    text-align: left;
}

.aviso-privacidad {
    margin-bottom: 0; 
    font-size: 18px; 
    padding-left: 5%;
    padding-top: 1%;
    text-align: left;
}

.aviso-privacidad a {
    color: #F4E729;
}

.footer-redes {
    padding-right: 2%;
    text-align: end;
}

.footer-icono {
    color: white;
    font-size: 55px;
    transition: color 0.3s ease;
    text-decoration: none;
    padding-right: 13%;
}

.footer-redes .footer-icono:hover {
    color: #F4E729; 
}






/*MEDIA QUERIES*/

@media (max-width: 1693px) {  
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 125px;
        margin-bottom: 6%;
    }

    .titulo-retrato, .titulo-naturaleza {
        padding-left: 0%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 21.5px;  
    }

    .descripcion-retrato, .descripcion-naturaleza {
        padding-left: 2%;
    }

    .btn-retrato {
        font-size: 21.5px;
        margin-top: 1%;
    }

}


@media (max-width: 1545px) {  
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 115px;
        margin-bottom: 5%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 21px;  
    }

    .descripcion-retrato, .descripcion-naturaleza {
        padding-left: 2%;
    }

    .btn-retrato {
        font-size: 21px;
        margin-top: 1%;
    }

}

@media (max-width: 1500px) {  /*NAVBAR*/
    .offcanvas{
        width: 50% !important; 
    }
   
}

@media (max-width: 1433px) {  
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 92px;
        margin-bottom: 4%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 20px;  
    }

    .descripcion-retrato, .descripcion-naturaleza {
        padding-left: 2%;
    }

    .titulo-producto,.btn-producto {
        margin-left: 11%;
    }
    
    .descripcion-producto{
        margin-left: 11%;
        padding-right: 1%;
    }

    .btn-retrato {
        font-size: 20px;
        margin-top: 1%;
    }
}

@media (max-width: 1350px) { /*NAVBAR*/
    .offcanvas{
        width: 60% !important; 
    }
   
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 80px;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 19px;  
    }

    .descripcion-retrato, .descripcion-naturaleza {
        padding-left: 2%;
    }

    

    .btn-retrato, .btn-producto, .btn-naturaleza {
        font-size: 19px;
        margin-top: 1%;
    }
}

@media (max-width: 1270px) { /*NAVBAR*/
    .offcanvas{
        width: 60% !important; 
    }
}

@media (max-width: 1199px) {  
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 135px;
        text-align: center;
        padding-top: 5%;
        margin-bottom: 5%;
    }

    .titulo-producto {
        padding-left: 0%;
    }

    .titulo-producto, .descripcion-producto, .descripcion-producto p, .btn-producto {
        margin-left: 0%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 24px;  
        text-align: center;
    }

    .descripcion-retrato, .descripcion-producto, .descripcion-naturaleza {
        padding-left: 19%;
        padding-right: 19%;
        margin-bottom: 6%;
    }

    .btn-retrato, .btn-producto, .btn-naturaleza {
        font-size: 24px;
        margin-top: 0%;
        align-self: center;
        margin-right: 0;
    }

    .galeria-titulo {
        font-size: 65px;
    }

    .retrato {
        padding-top: 18%;
    }
}


@media (max-width: 999px) {  
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 115px;
        text-align: center;
        padding-top: 5%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 22px;  
        text-align: center;
    }

    .descripcion-retrato, .descripcion-producto, .descripcion-naturaleza {
        padding-left: 17%;
        padding-right: 17%;
    }

    .btn-retrato, .btn-producto, .btn-naturaleza {
        font-size: 24px;
        margin-top: 0%;
        align-self: center;
    }
}

@media (max-width: 991px) {  /*FOOTER*/ /*NAVBAR*/
    .barras .navbar-toggler-icon {
        width: 2em; 
        height: 2em;
    }

    .logo {
        width: 130px;
    }

    .offcanvas-header .btn-close {
        font-size: 2rem;
        padding-left: 7%;
        margin: 0;
    }

    .footer-copyright {
        padding-left: 0%;
        text-align: center;
    }

    .aviso-privacidad {
        padding-left: 0%;
        text-align: center;
    }

    .footer-redes {
        padding-right: 0%; 
        text-align: center;
        padding-top: 2%;
    }

    .footer-icono {
        padding-right: 3%;
        font-size: 40px;
    }     
}

@media (max-width: 860px) { /*NAVBAR*/
    .offcanvas{
        width: 100% !important;
    }
   
    .offcanvas-body {          
        justify-content: center !important; 
        align-items: center !important;    
    }

    .custom-nav-link {
        font-size: 2.6rem;
        padding: 0.5rem 0;
    }

    .custom-nav-link.active {
        text-align: center !important; 
    }

    .custom-submenu {
        text-align: center;
    }

    .submenu li{ 
        text-align: center !important;
    }

    .submenu a {
        text-align: center !important;
        font-size: 1.5rem;
        padding: 3.5% 0 !important;
    }

    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 95px;
        text-align: center;
        padding-top: 5%;
    }

    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 19px;  
        text-align: center;
    }

    .descripcion-retrato, .descripcion-producto, .descripcion-naturaleza {
        padding-left: 17%;
        padding-right: 17%;
    }

    .btn-retrato, .btn-producto, .btn-naturaleza {
        font-size: 20px;
        margin-top: 0%;
        align-self: center;
    }

    .retrato {
        padding-top: 22%;
    }
    
}

@media (max-width: 699px) { /*FOOTER*/ /*NAVBAR*/
    .barras .navbar-toggler-icon {
        width: 1.5em; 
        height: 1.5em;
    }

    .logo {
        width: 90px;
    }

    .offcanvas-header .btn-close {
        font-size: 1.5rem;
        padding-left: 7%;
        margin: 0;
    }

    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 75px;
        text-align: center;
        padding-top: 5%;
    }

    .footer-copyright {
        font-size: 17px;
    }

    .aviso-privacidad {
        font-size: 13px;
    }

    .footer-redes {
        padding-right: 0%; 
        text-align: center;
        padding-top: 4%;
    }

    .footer-icono {
        font-size: 30px;
        padding-right: 3%;
    } 
}

@media (max-width: 550px) { 
    .titulo-retrato, .titulo-producto, .titulo-naturaleza {
        font-size: 50px;
        text-align: center;
        padding-top: 5%;
    }
   
    .descripcion-retrato p, .descripcion-producto p, .descripcion-naturaleza p {
        font-size: 15px;  
        text-align: center;
    }

    .descripcion-retrato, .descripcion-producto, .descripcion-naturaleza {
        padding-left: 17%;
        padding-right: 17%;
    }

    .btn-retrato, .btn-producto, .btn-naturaleza {
        font-size: 18px;
        margin-top: 0%;
        align-self: center;
    }

   
}














